List all templates
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Retrieve a paginated list of all templates in your workspace.
Templates let you predefine document structure, fields, and default parties, then spawn documents from them via POST /api/v1/documents with templateId.
Pagination: Use page and perPage query parameters.
Search: Use search to filter by template name.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Paginated list of templates
application/json- response
Paginated list of templates
templates*array<>total*numberTotal number of templates matching the filters
totalPages*numbercurl -X GET 'https://app.sajn.se/api/v1/templates?page=1&perPage=10' \ -H 'authorization: string'Example Response
{ "templates": [ { "id": "string", "name": "string", "workspaceId": "string", "organizationId": "string", "createdById": "string", "isGlobal": true, "templateMeta": { "signingOrder": "PARALLEL", "forceReadFullDocument": true, "showChatToSigners": true, "preferredLanguage": "sv", "value": "string", "signableAfterExpired": true, "sendPlainTextEmailOnly": true, "allowDelegation": true, "reminderIntervalDays": "string", "responsibleUserId": "string", "accessVerification": "NONE", "internalRecipients": [ "string" ], "visibility": "EVERYONE", "selectedUserIds": [ "string" ], "ssnDisplayMode": "FULL", "sameDeviceSigning": true, "documentCategoryId": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "totalPages": 0}Was this page helpful?